Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class MeasurementPluginManager

    java.lang.Object
      net.hyperic.hq.product.PluginManager
          net.hyperic.hq.product.MeasurementPluginManager

public class MeasurementPluginManager
extends PluginManager

Field Summary

Fields inherited from class net.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`MeasurementPluginManager()`
`MeasurementPluginManager(java.util.Properties props)`

Method Summary
`ConfigSchema` | `getConfigSchema(java.lang.String plugin, TypeInfo info, ConfigResponse config)`
`java.lang.String` | `getHelp(TypeInfo info, java.util.Map props)`
`MeasurementInfo[]` | `getMeasurements(TypeInfo info)`
`java.lang.String` | `getName()`
`MetricValue` | `getValue(java.lang.String template)`
`MetricValue` | `getValue(java.lang.String name, Metric metric)`
`MetricValue` | `getValue(java.lang.String name, java.lang.String metric)`
`void` | `init(PluginManager parent)`
`void` | `reportEvent(Metric metric, long time, int level, java.lang.String source, java.lang.String message)`
`java.lang.String` | `translate(java.lang.String template, ConfigResponse config)`

Methods inherited from class net.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, isPropertyEnabled, isPropertyEnabled, mergeConfigSchema, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeasurementPluginManager

    public MeasurementPluginManager()

### MeasurementPluginManager

    public MeasurementPluginManager(java.util.Properties props)

Method Detail

### init

    public void init(PluginManager parent)
              throws PluginException

  Overrides:
    `init` in class `PluginManager`
  Throws:
    `PluginException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `PluginManager`

### getConfigSchema

    public ConfigSchema getConfigSchema(java.lang.String plugin,
                                        TypeInfo info,
                                        ConfigResponse config)
                                 throws PluginNotFoundException

  Overrides:
    `getConfigSchema` in class `PluginManager`
  Throws:
    `PluginNotFoundException`

### getValue

    public MetricValue getValue(java.lang.String template)
                         throws PluginException,
                                PluginNotFoundException,
                                MetricNotFoundException,
                                MetricUnreachableException

  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### getValue

    public MetricValue getValue(java.lang.String name,
                                java.lang.String metric)
                         throws PluginException,
                                PluginNotFoundException,
                                MetricNotFoundException,
                                MetricUnreachableException

  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### getValue

    public MetricValue getValue(java.lang.String name,
                                Metric metric)
                         throws PluginException,
                                PluginNotFoundException,
                                MetricNotFoundException,
                                MetricUnreachableException

  Throws:
    `PluginException`
    `PluginNotFoundException`
    `MetricNotFoundException`
    `MetricUnreachableException`

### translate

    public java.lang.String translate(java.lang.String template,
                                      ConfigResponse config)
                               throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getMeasurements

    public MeasurementInfo[] getMeasurements(TypeInfo info)
                                      throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getHelp

    public java.lang.String getHelp(TypeInfo info,
                                    java.util.Map props)
                             throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### reportEvent

    public void reportEvent(Metric metric,
                            long time,
                            int level,
                            java.lang.String source,
                            java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.